<?php
/**
 * Helper functions for the admin - plugin links.
 *
 * @package    WooCommerce German (de_DE)
 * @subpackage Admin
 * @author     David Decker - DECKERWEB
 * @copyright  Copyright 2012, David Decker - DECKERWEB
 * @license    http://www.opensource.org/licenses/gpl-license.php GPL v2.0 (or later)
 * @link       http://genesisthemes.de/en/wp-plugins/woocommerce-de/
 * @link       http://twitter.com/#!/deckerweb
 *
 * @since 1.0
 * @version 1.1
 */

/**
 * Add "Settings" link to plugin page
 *
 * @since 2.0
 *
 * @param  $wcde_links
 * @param  $wcde_settings_link
 * @return strings settings link
 */
function ddw_wcde_settings_page_link( $wcde_links ) {

	$wcde_settings_link = sprintf( '<a href="%s" title="%s">%s</a>' , admin_url( 'admin.php?page=woocommerce' ) , __( 'Go to the WooCommerce settings page', 'woocommerce-german' ) , __( 'WooCommerce Settings', 'woocommerce-german' ) );
	
	array_unshift( $wcde_links, $wcde_settings_link );

	return $wcde_links;

}  // end of function ddw_wcde_settings_page_link


add_filter( 'plugin_row_meta', 'ddw_wcde_plugin_links', 10, 2 );
/**
 * Add various support links to plugin page
 *
 * @since 1.0
 */
function ddw_wcde_plugin_links( $wcde_links, $wcde_file ) {

	if ( ! current_user_can( 'install_plugins' ) )
		return $wcde_links;

	if ( $wcde_file == WCDE_PLUGIN_BASEDIR . '/woocommerce-de.php' ) {
		$wcde_links[] = '<a href="http://wordpress.org/extend/plugins/woocommerce-de/faq/" target="_new" title="' . __( 'FAQ', 'woocommerce-german' ) . '">' . __( 'FAQ', 'woocommerce-german' ) . '</a>';
		$wcde_links[] = '<a href="http://wordpress.org/support/plugin/woocommerce-de" target="_new" title="' . __( 'Support', 'woocommerce-german' ) . '">' . __( 'Support', 'woocommerce-german' ) . '</a>';
		$wcde_links[] = '<a href="' . __( 'http://genesisthemes.de/en/donate/', 'woocommerce-german' ) . '" target="_new" title="' . __( 'Donate', 'woocommerce-german' ) . '">' . __( 'Donate', 'woocommerce-german' ) . '</a>';
	}

	return $wcde_links;

}  // end of function ddw_wcde_plugin_links
